import java.applet.*;
import java.awt.*;
 
public class CelsiusFahrenheit extends Applet
{
	public void paint(Graphics g)
	{
		int linkerRand		=		20;
		int obererRand		=		20;
		int sAbstand		=		100;
		int zAbstand		=		20;
		
		int spalte			=		0;
		int zeile			=		0;
		int zeile2			=		1;
		int celsius			=		-30;
		int fahrenheit		=		0;
		int celsius2		=		0;
		int fahrenheit2	=		0;
		
		g.drawString("°C ", linkerRand+(spalte*sAbstand), obererRand+(zeile*zAbstand));
		g.drawString("°F ", linkerRand+((spalte+1)*sAbstand), obererRand+(zeile*zAbstand));
		g.drawString("°F ", linkerRand+((spalte+2)*sAbstand), obererRand+(zeile*zAbstand));
		g.drawString("°C ", linkerRand+((spalte+3)*sAbstand), obererRand+(zeile*zAbstand));
		
		zeile=1;
		
		while (zeile<=10)
		{
			spalte	  	=		0;
		   zeile			+=		1;
		   fahrenheit	=		celsius*9/5+32;
			g.drawString(""+celsius,linkerRand+(spalte*sAbstand), obererRand+(zeile*zAbstand));
			g.drawString(""+fahrenheit,linkerRand+((spalte+1)*sAbstand), obererRand+(zeile*zAbstand));
			
			celsius		+=		10;
			
			zeile2			+=			1;
		   celsius2		=   		(fahrenheit2-32)*5/9;
			g.drawString(""+fahrenheit2,linkerRand+((spalte+2)*sAbstand), obererRand+(zeile2*zAbstand));
			g.drawString(""+celsius2,linkerRand+((spalte+3)*sAbstand), obererRand+(zeile2*zAbstand));
			
			fahrenheit2		+=		10;
			
		}
		
//		zeile		=		1;
//		celsius		=		0;
//		fahrenheit	=		0;
//		spalte	  	=		0;
//		
//		while (zeile<=10)
//		{
//			
//		   zeile			+=			1;
//		   celsius		=   		(fahrenheit-32)*5/9;
//			g.drawString(""+fahrenheit,linkerRand+((spalte+2)*sAbstand), obererRand+(zeile*zAbstand));
//			g.drawString(""+celsius,linkerRand+((spalte+3)*sAbstand), obererRand+(zeile*zAbstand));
//			
//			fahrenheit		+=		10;
//			
//		}
		
		
	}
	
}	